@charset "UTF-8";
@import url(./common.css);

/* ------------------------------
ナビゲーション
------------------------------ */
/* 小さいテキスト */
.global_navigation .focus > span::after {
    content: "Home";
}

/* ------------------------------
Vegas
------------------------------ */
.bg_img {
    width: 100%;
    height: 100vh;
    position: fixed!important;  /* VEGASのpositionプロパティを上書き */
    top: 0;
    left: 0;
    z-index: -1;
    opacity: 0.8;
}

/* ------------------------------
キャッチコピー
------------------------------ */
.catch_copy {
    height: 95vh;
    overflow: hidden;
    padding-top: 40vh;
}
@keyframes catch-copy {
    from {
        letter-spacing: 50px;
        transform: translate(100px, 30px) rotate(-30deg);
        opacity: 0;
    }
    to {
        letter-spacing: 5px;
        transform: rotate(-5deg);
        opacity: 1;
    }
}
.catch_copy > span {
    display: block;
    text-align: center;
    color: #fff;
}
.catch_copy > .english {
    font-family: 'SassyFrass';
    font-size: clamp(60px, 10vw, 200px);
    font-style: italic;
    letter-spacing: 50px;
    margin-bottom: 30px;
    animation-name: catch-copy;
    animation-duration: 3s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
}
.catch_copy > .japanese {
    font-size: clamp(14px, 2vw, 30px);
    letter-spacing: 0.4vw;
}
.catch_copy > .japanese > span {
    font-size: 150%;
}

/* ------------------------------
スクロールアロー
------------------------------ */
.scroll_arrow {
    position: absolute;
    bottom: 1%;
    animation: arrow-move 1s ease-in-out infinite;
}
@keyframes arrow-move {
    from {
        bottom: 1%;
    }
    50% {
        bottom: 3%;
    }
    to {
        bottom: 1%;
    }
}
.scroll_arrow span {
    position: absolute;
    left: -20px;
    bottom: 10px;
    color: #eee;
    font-size: 0.7rem;
    letter-spacing: 0.05em;
    writing-mode: vertical-rl;
}
.scroll_arrow::before,
.scroll_arrow::after {
    content: "";
    display: block;
    width: 1px;
    position: absolute;
    bottom: 0;
    background-color: #eee;
}
.scroll_arrow::before {
    height: 20px;
    right: -6px;
    transform: skew(-31deg);
}
.scroll_arrow::after {
    height: 50px;
}

/* ------------------------------
セクション
------------------------------ */
/* 見出し */
.sec_h2 h2 {
    text-align: center;
}

/* ------------------------------
ボタンリンク
------------------------------ */
.sec_wrapper .btn_link > a {
    position: relative;     /* arrowの基準 */
    width: 15rem;
    text-align: center;
    padding: 1rem 0;
    margin: 0 auto;
    transition: opacity 0.3s;
}
.sec_wrapper .btn_link > a:hover {
    opacity: 0.7;
}
/* Concept・Menu 共通 */
.concept .btn_link > a,
.menu .btn_link a {
    color: var(--textColor-2);
    background-color: var(--btnColor-2);
}
/* Catalog・info 共通 */
.catalog .btn_link > a,
.information .btn_link > a {
    color: var(--textColor-2);
    background-color: var(--btnColor-1);
}
/* arrow */
.sec_wrapper .btn_link > a::before,
.sec_wrapper .btn_link > a::after {
    content: "";
    display: block;
    height: 1px;
    position: absolute;
    background-color: var(--textColor-2);
    transition: right 0.3s;
}
.sec_wrapper .btn_link > a::before {
    width: 20px;
    right: 15px;
    bottom: 18px;
    transform: rotate(30deg);
}
.sec_wrapper .btn_link > a::after {
    width: 50px;
    right: 16px;
    bottom: 14px;
}
.sec_wrapper .btn_link > a:hover::before {
    right: 5px;
}
.sec_wrapper .btn_link > a:hover::after {
    right: 6px;
}

/* ------------------------------
Concept
------------------------------ */
.concept {
    color: var(--textColor-2);
    background-image: url(../image/other/index-concept.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}
.concept .sec_h2 {
    background-color: rgba(0, 0, 0, 0.7);
    
}
.concept .sec_h2 p {
    width: min(90%, 800px);
    margin: 0 auto;
}

/* ------------------------------
各セクション共通レイアウト
------------------------------ */
.catalog,
.information,
.news {
    color: var(--textColor-1);
    background-color: var(--bgColor-1);
}
.menu {
    color: var(--textColor-2);
    background-color: var(--bgColor-2);
}

/* ------------------------------
Hair Catalog
------------------------------ */
.catalog_list {
    display: flex;
}
.catalog_list > li {
    padding: 5px;
}
.catalog_list img {
    aspect-ratio: 3 / 2;
}

/* ------------------------------
Menu
------------------------------ */
.menu .sec_h3 h3 > .ja::before {
    color: var(--textColor-2);  /* 上書き */
}
.menu .menu_list > li {
    display: flex;
    justify-content: space-between;
    padding: 1.5em 1em;
    border-bottom: solid 1px var(--borderColor);
}
.menu .menu_list > li > span {
    display: block;
}

/* ------------------------------
Information
------------------------------ */
.information .google_map {
    filter: grayscale(100%);
}
/* 表 */
.information .info_table {
    width: 100%;
    border-collapse: collapse;
}
.information .info_table th {
    font-weight: normal;
    text-align: left;
}
.information .info_table th,
.information .info_table td {
    padding: 1em;
}
.information .info_table tr {
    border-bottom: solid 1px var(--borderColor);
}
.information .google_map iframe {
    width: 100%;
    outline: none;
    border: none;
}

/* ------------------------------
News
------------------------------ */
.news .news_list .news_item {
    border-bottom: solid 1px var(--borderColor);
}
.news .news_list .news_item > .dd_container {
    padding: 1em;
}

/* ------------------------------
タブレット以下で共通
------------------------------ */
@media screen and (max-width: 959px) {

    /* ------------------------------
    各セクション共通
    ------------------------------ */
    .sec_wrapper > .sec_h2 {
        padding: 2em 1em;   /* 上書き */
    }
    /* ボタンリンク */
    .sec_wrapper .btn_link {
        margin-top: 2em;
    }

    /* ------------------------------
    スクロールアロー
    ------------------------------ */
    .scroll_arrow {
        right: 50%;
    }

    /* ------------------------------
    Hair Catalog
    ------------------------------ */
    .catalog > .sec_h2 {
        padding-right: 0;   /* 上書き */
        padding-left: 0;   /* 上書き */
    }
    .catalog_list {
        flex-wrap: nowrap;  /* 上書き */
        overflow-x: scroll;
    }
    .catalog_list > li {
        flex: 0 0 min(80%, 400px);
    }
    /* ------------------------------
    Menu
    ------------------------------ */
    .menu .sec_h3:last-of-type {
        margin-bottom: 0;   /* 上書き */
    }
    /* ------------------------------
    Information
    ------------------------------ */
    .information .info {
        margin-bottom: 2em;
    }
    .information .google_map iframe {
        aspect-ratio: 2 / 1;
    }
        /* ------------------------------
    News
    ------------------------------ */
    .news .news_list .news_item > dt {
        padding: 1em 1em 0;
    }
}

/* ------------------------------
ノートパソコン以上で共通
------------------------------ */
@media screen and (min-width: 960px) {

    /* ------------------------------
    各セクション共通
    ------------------------------ */
    .sec_wrapper > .sec_h2 {
        padding: 3rem 0;
    }

    /* ------------------------------
    スクロールアロー
    ------------------------------ */
    .scroll_arrow {
        right: 10%;
    }

    /* ------------------------------
    ボタンリンク
    ------------------------------ */
    .sec_wrapper .btn_link {
        margin-top: 3em;
    }

    /* ------------------------------
    Hair Catalog
    ------------------------------ */
    .catalog_list {
        flex-wrap: wrap;
    }

    /* ------------------------------
    Menu
    ------------------------------ */
    .menu_flex_container {
        display: flex;
        justify-content: space-between;
    }
    .menu_flex_container > .sec_h3 {
        width: 30%;
        margin-bottom: 0;   /* 上書き */
    }

    /* ------------------------------
    Information
    ------------------------------ */
    .information .sec_h2 {
        display: flex;
        justify-content: space-between;
    }
    .information .info_flex_item:nth-of-type(1) {
        width: 50%;
    }
    .information .info_flex_item:nth-of-type(2) {
        width: 49%;
    }
    .information .google_map {
        height: 100%;
    }
    .information .google_map iframe {
        height: 100%;
    }

    /* ------------------------------
    News
    ------------------------------ */
    .news .news_list .news_item {
        display: flex;
        align-items: center;
    }
    .news .news_list .news_item > dt {
        width: min(10vw, 300px);
        padding: 1em;
    }
}

/* ------------------------------
ノートパソコン向け
------------------------------ */
@media screen and (min-width: 960px) and (max-width: 1280px) {

    /* ------------------------------
    Hair Catalog
    ------------------------------ */
    .catalog_list li {
        width: 33%;
    }
}

/* ------------------------------
デスクトップパソコン向け
------------------------------ */
@media screen and (min-width: 1281px) {

    /* ------------------------------
    Hair Catalog
    ------------------------------ */
    .catalog_list li {
        width: 25%;
    }
}

